org.apache.thrift.transport

## Class TSSLTransportFactory.TSSLTransportParameters

- java.lang.Object
- - org.apache.thrift.transport.TSSLTransportFactory.TSSLTransportParameters

- Enclosing class:
    TSSLTransportFactory

      public static class TSSLTransportFactory.TSSLTransportParameters
      extends java.lang.Object

  A Class to hold all the SSL parameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String[]` | `cipherSuites`
    `protected boolean` | `clientAuth`
    `protected boolean` | `isKeyStoreSet`
    `protected boolean` | `isTrustStoreSet`
    `protected java.lang.String` | `keyManagerType`
    `protected java.lang.String` | `keyPass`
    `protected java.lang.String` | `keyStore`
    `protected java.lang.String` | `keyStoreType`
    `protected java.lang.String` | `protocol`
    `protected java.lang.String` | `trustManagerType`
    `protected java.lang.String` | `trustPass`
    `protected java.lang.String` | `trustStore`
    `protected java.lang.String` | `trustStoreType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TSSLTransportFactory.TSSLTransportParameters()`
    `TSSLTransportFactory.TSSLTransportParameters(java.lang.String protocol, java.lang.String[] cipherSuites)` Create parameters specifying the protocol and cipher suites
    `TSSLTransportFactory.TSSLTransportParameters(java.lang.String protocol, java.lang.String[] cipherSuites, boolean clientAuth)` Create parameters specifying the protocol, cipher suites and if client authentication is required

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requireClientAuth(boolean clientAuth)` Set if client authentication is required
    `void` | `setKeyStore(java.lang.String keyStore, java.lang.String keyPass)` Set the keystore and password
    `void` | `setKeyStore(java.lang.String keyStore, java.lang.String keyPass, java.lang.String keyManagerType, java.lang.String keyStoreType)` Set the keystore, password, certificate type and the store type
    `void` | `setTrustStore(java.lang.String trustStore, java.lang.String trustPass)` Set the truststore and password
    `void` | `setTrustStore(java.lang.String trustStore, java.lang.String trustPass, java.lang.String trustManagerType, java.lang.String trustStoreType)` Set the truststore, password, certificate type and the store type

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protocol

          protected java.lang.String protocol

    - #### keyStore

          protected java.lang.String keyStore

    - #### keyPass

          protected java.lang.String keyPass

    - #### keyManagerType

          protected java.lang.String keyManagerType

    - #### keyStoreType

          protected java.lang.String keyStoreType

    - #### trustStore

          protected java.lang.String trustStore

    - #### trustPass

          protected java.lang.String trustPass

    - #### trustManagerType

          protected java.lang.String trustManagerType

    - #### trustStoreType

          protected java.lang.String trustStoreType

    - #### cipherSuites

          protected java.lang.String[] cipherSuites

    - #### clientAuth

          protected boolean clientAuth

    - #### isKeyStoreSet

          protected boolean isKeyStoreSet

    - #### isTrustStoreSet

          protected boolean isTrustStoreSet

  - ### Constructor Detail

    - #### TSSLTransportFactory.TSSLTransportParameters

          public TSSLTransportFactory.TSSLTransportParameters()

    - #### TSSLTransportFactory.TSSLTransportParameters

          public TSSLTransportFactory.TSSLTransportParameters(java.lang.String protocol,
                                                      java.lang.String[] cipherSuites)

      Create parameters specifying the protocol and cipher suites
      Parameters:
        `protocol` - The specific protocol (TLS/SSL) can be specified with versions
        `cipherSuites` -

    - #### TSSLTransportFactory.TSSLTransportParameters

          public TSSLTransportFactory.TSSLTransportParameters(java.lang.String protocol,
                                                      java.lang.String[] cipherSuites,
                                                      boolean clientAuth)

      Create parameters specifying the protocol, cipher suites and if client authentication is required
      Parameters:
        `protocol` - The specific protocol (TLS/SSL) can be specified with versions
        `cipherSuites` -
        `clientAuth` -

  - ### Method Detail

    - #### setKeyStore

          public void setKeyStore(java.lang.String keyStore,
                         java.lang.String keyPass,
                         java.lang.String keyManagerType,
                         java.lang.String keyStoreType)

      Set the keystore, password, certificate type and the store type
      Parameters:
        `keyStore` - Location of the Keystore on disk
        `keyPass` - Keystore password
        `keyManagerType` - The default is X509
        `keyStoreType` - The default is JKS

    - #### setKeyStore

          public void setKeyStore(java.lang.String keyStore,
                         java.lang.String keyPass)

      Set the keystore and password
      Parameters:
        `keyStore` - Location of the Keystore on disk
        `keyPass` - Keystore password

    - #### setTrustStore

          public void setTrustStore(java.lang.String trustStore,
                           java.lang.String trustPass,
                           java.lang.String trustManagerType,
                           java.lang.String trustStoreType)

      Set the truststore, password, certificate type and the store type
      Parameters:
        `trustStore` - Location of the Truststore on disk
        `trustPass` - Truststore password
        `trustManagerType` - The default is X509
        `trustStoreType` - The default is JKS

    - #### setTrustStore

          public void setTrustStore(java.lang.String trustStore,
                           java.lang.String trustPass)

      Set the truststore and password
      Parameters:
        `trustStore` - Location of the Truststore on disk
        `trustPass` - Truststore password

    - #### requireClientAuth

          public void requireClientAuth(boolean clientAuth)

      Set if client authentication is required
      Parameters:
        `auth` -